<?xml version="1.0" encoding="utf-8"?>

<ScrollView
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <RelativeLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="#fff"
        android:orientation="vertical">

        <RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
            android:id="@+id/filterTitleContainer"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <TextView
                android:id="@+id/searchParamsDialogTitle"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="20dp"
                android:textAlignment="center"
                android:textSize="21dp"
                android:background="@color/colorPrimary"
                android:textColor="#fff"
                android:text="Filtra"/>

        </RelativeLayout>

        <RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
            android:id="@+id/filterContainer"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:padding="20dp"
            android:layout_below="@id/filterTitleContainer">

            <RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
                android:id="@+id/periodFilterContainer"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@id/dateIcon"
                android:descendantFocusability="beforeDescendants"
                android:focusableInTouchMode="true">

                <TextView
                    android:id="@+id/periodFilterLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:text="Periodo"
                    android:textSize="15dp"
                    android:textColor="#000"
                    android:textStyle="bold" />

                <TableLayout
                    xmlns:android="http://schemas.android.com/apk/res/android"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_below="@id/periodFilterLabel"
                    android:shrinkColumns="*"
                    android:stretchColumns="*">

                    <TableRow
                        android:layout_width="fill_parent"
                        android:layout_height="fill_parent">

                        <RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
                            android:id="@+id/periodFilterSpinnerContainer"
                            android:layout_width="fill_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="2dp"
                            android:padding="3dp"
                            android:background="@drawable/rounderedborder"
                            android:descendantFocusability="beforeDescendants"
                            android:focusableInTouchMode="true"
                            android:layout_span="2">

                            <Spinner
                                android:id="@+id/periodFilterCB"
                                android:layout_width="fill_parent"
                                android:layout_height="match_parent"/>
                        </RelativeLayout>
                    </TableRow>
                    <TableRow
                        android:layout_width="fill_parent"
                        android:layout_height="fill_parent"
                        android:gravity="center"
                        android:layout_weight="1">

                        <RelativeLayout
                            android:id="@+id/fromDateContainer"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:paddingRight="10dp"
                            android:orientation="horizontal"
                            android:descendantFocusability="beforeDescendants"
                            android:focusableInTouchMode="true">

                            <TextView
                                android:id="@+id/fromDateLabel"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:text="Da"
                                android:textSize="12dp"
                                android:textColor="#000"
                                android:textStyle="bold"/>

                            <EditText
                                android:id="@+id/fromDateTB"
                                android:layout_width="fill_parent"
                                android:layout_height="wrap_content"
                                android:layout_toRightOf="@id/fromDateLabel"
                                android:layout_marginTop="5dp"
                                android:layout_marginLeft="5dp"
                                android:background="@drawable/rounderedborder"
                                android:textColor="#000"
                                android:padding="7dp"
                                android:textSize="14dp"
                                android:inputType="date"/>
                        </RelativeLayout>
                        <RelativeLayout
                            android:id="@+id/toDateContainer"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:paddingLeft="10dp"
                            android:orientation="horizontal"
                            android:descendantFocusability="beforeDescendants"
                            android:focusableInTouchMode="true">

                            <TextView
                                android:id="@+id/toDateLabel"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:text="A"
                                android:textSize="12dp"
                                android:textColor="#000"
                                android:textStyle="bold" />

                            <EditText
                                android:id="@+id/toDateTB"
                                android:layout_width="fill_parent"
                                android:layout_height="wrap_content"
                                android:layout_toRightOf="@id/toDateLabel"
                                android:layout_marginTop="5dp"
                                android:layout_marginLeft="5dp"
                                android:background="@drawable/rounderedborder"
                                android:textColor="#000"
                                android:padding="7dp"
                                android:textSize="14dp"
                                android:inputType="date"/>

                        </RelativeLayout>
                    </TableRow>
                </TableLayout>
            </RelativeLayout>
            <RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
                android:id="@+id/categoryFilterContainer"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/periodFilterContainer"
                android:layout_marginTop="30dp">

                <TextView
                    android:id="@+id/categoryFilterLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:text="Categoria"
                    android:textSize="15dp"
                    android:textColor="#000"
                    android:textStyle="bold" />

                <RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
                    android:id="@+id/categoryFilterSpinnerContainer"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@id/categoryFilterLabel"
                    android:layout_marginTop="2dp"
                    android:padding="3dp"
                    android:background="@drawable/rounderedborder"
                    android:descendantFocusability="beforeDescendants"
                    android:focusableInTouchMode="true">

                    <Spinner
                        android:id="@+id/categoryFilterCB"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:textAlignment="textStart"/>
                </RelativeLayout>
            </RelativeLayout>
            <RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
                android:id="@+id/searchParamsButtonsContainer"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/categoryFilterContainer"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="20dp">

                <Button
                    android:id="@+id/searchParamsSearchBtn"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@drawable/success_btn"
                    android:textColor="#fff"
                    android:text="Cerca"/>

                <Button
                    android:id="@+id/searchParamsCancelBtn"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@drawable/failure_btn"
                    android:textColor="#fff"
                    android:layout_toRightOf="@id/searchParamsSearchBtn"
                    android:layout_marginLeft="20dp"
                    android:text="Annulla"/>
            </RelativeLayout>
        </RelativeLayout>
    </RelativeLayout>
</ScrollView>

